summaryrefslogtreecommitdiffstats
path: root/.papr.sh
diff options
context:
space:
mode:
Diffstat (limited to '.papr.sh')
-rwxr-xr-x.papr.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/.papr.sh b/.papr.sh
new file mode 100755
index 000000000..aedf2527b
--- /dev/null
+++ b/.papr.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+set -xeuo pipefail
+
+pip install -r requirements.txt
+
+# ping the nodes to check they're responding and register their ostree versions
+ansible -vvv -i .papr.inventory nodes -a 'rpm-ostree status'
+
+upload_journals() {
+ mkdir journals
+ for node in master node1 node2; do
+ ssh ocp-$node 'journalctl --no-pager || true' > journals/ocp-$node.log
+ done
+}
+
+trap upload_journals ERR
+
+# run the actual installer
+ansible-playbook -vvv -i .papr.inventory playbooks/byo/config.yml
+
+# run a small subset of origin conformance tests to sanity
+# check the cluster NB: we run it on the master since we may
+# be in a different OSP network
+ssh ocp-master docker run --rm --net=host --privileged \
+ -v /etc/origin/master/admin.kubeconfig:/config fedora:25 sh -c \
+ '"dnf install -y origin-tests && \
+ KUBECONFIG=/config /usr/libexec/origin/extended.test --ginkgo.v=1 \
+ --ginkgo.noColor --ginkgo.focus=\"Services.*NodePort|EmptyDir\""'